Skip to main content
PATCH
/
api
/
v2
/
members
/
{id}
Modify an account member
curl --request PATCH \
  --url https://app.launchdarkly.com/api/v2/members/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "op": "add",
    "path": "/role",
    "value": "writer"
  }
]
'
{
  "_links": {},
  "_id": "507f1f77bcf86cd799439011",
  "role": "reader",
  "email": "ariel@acme.com",
  "_pendingInvite": false,
  "_verified": true,
  "customRoles": [
    "devOps",
    "backend-devs"
  ],
  "mfa": "<string>",
  "_lastSeen": "1608260796147",
  "creationDate": "1628001602644",
  "firstName": "Ariel",
  "lastName": "Flores",
  "_pendingEmail": "<string>",
  "excludedDashboards": [
    "<string>"
  ],
  "_lastSeenMetadata": {
    "tokenId": "5b52207f8ca8e631d31fdb2b"
  },
  "_integrationMetadata": {
    "externalId": "<string>",
    "externalStatus": {
      "display": "<string>",
      "value": "<string>"
    },
    "externalUrl": "<string>",
    "lastChecked": 123
  },
  "teams": [
    {
      "customRoleKeys": [
        "access-to-test-projects"
      ],
      "key": "team-key-123abc",
      "name": "QA Team",
      "_links": {}
    }
  ],
  "permissionGrants": [
    {
      "resource": "team/qa-team",
      "actionSet": "<string>",
      "actions": [
        "maintainTeam"
      ]
    }
  ],
  "oauthProviders": [
    "<string>"
  ],
  "version": 1,
  "roleAttributes": {}
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string<string>
required

The member ID

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Member response

The location and content type of related resources

_id
string
required

The member's ID

Example:

"507f1f77bcf86cd799439011"

role
string
required

The member's base role. If the member has no additional roles, this role will be in effect.

Example:

"reader"

email
string
required

The member's email address

Example:

"ariel@acme.com"

_pendingInvite
boolean
required

Whether the member has a pending invitation

Example:

false

_verified
boolean
required

Whether the member's email address has been verified

Example:

true

customRoles
string[]
required

The set of additional roles, besides the base role, assigned to the member

Example:
["devOps", "backend-devs"]
mfa
string
required

Whether multi-factor authentication is enabled for this member

_lastSeen
integer<int64>
required

The member's last session date (as Unix milliseconds since epoch)

Example:

"1608260796147"

creationDate
integer<int64>
required

Timestamp of when the member was created

Example:

"1628001602644"

firstName
string

The member's first name

Example:

"Ariel"

lastName
string

The member's last name

Example:

"Flores"

_pendingEmail
string

The member's email address before it has been verified, for accounts where email verification is required

excludedDashboards
string[]

Default dashboards that the member has chosen to ignore

_lastSeenMetadata
object

Additional metadata associated with the member's last session, for example, whether a token was used

_integrationMetadata
object

Details on the member account in an external source, if this member is provisioned externally

teams
object[]

Details on the teams this member is assigned to

permissionGrants
object[]

A list of permission grants. Permission grants allow a member to have access to a specific action, without having to create or update a custom role.

oauthProviders
string[]

A list of OAuth providers

version
integer

Version of the current configuration

Example:

1

roleAttributes
object

The role attributes for the member